package gov.va.vss.persistence.queryCustomization.fieldTypes;

import gov.va.vss.model.time.WorkEntry;

public enum WorkEntryAssociationFieldType implements ModelAssociationFieldType {
	ORGANIZATION("organization"), //
	VOLUNTEER_ASSIGNMENT("volunteerAssignment"), //
	;

	private String fieldName;

	private WorkEntryAssociationFieldType(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getFieldName() {
		return fieldName;
	}

	@Override
	public Class<?> getModelClass() {
		return WorkEntry.class;
	}

}